Package org.bukkit.event.player

# Class PlayerBucketEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerBucketEntityEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `PlayerBucketFishEvent`

public class PlayerBucketEntityEvent extends PlayerEvent implements Cancellable
This event is called whenever a player captures an entity in a bucket.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerBucketEntityEvent(@NotNull Player player, @NotNull Entity entity, @NotNull ItemStack originalBucket, @NotNull ItemStack entityBucket)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Gets the `Entity` being put into the bucket.
`@NotNull ItemStack`
`getEntityBucket()`
Gets the bucket that the `Entity` will be put into.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getOriginalBucket()`
Gets the bucket used to capture the `Entity`.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerBucketEntityEvent

public PlayerBucketEntityEvent(@NotNull @NotNull Player player, @NotNull @NotNull Entity entity, @NotNull @NotNull ItemStack originalBucket, @NotNull @NotNull ItemStack entityBucket)

## Method Details

### getEntity

@NotNull public @NotNull Entity getEntity()
Gets the `Entity` being put into the bucket.

Returns:
  The `Entity` being put into the bucket

### getOriginalBucket

@NotNull public @NotNull ItemStack getOriginalBucket()
Gets the bucket used to capture the `Entity`. This refers to the bucket clicked with, eg `Material.WATER_BUCKET`.

Returns:
  The used bucket

### getEntityBucket

@NotNull public @NotNull ItemStack getEntityBucket()
Gets the bucket that the `Entity` will be put into. This refers to the bucket with the entity, eg `Material.PUFFERFISH_BUCKET`.

Returns:
  The bucket that the `Entity` will be put into

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()